Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer.ooxml
Class OOXMLProvider

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  java.security.Provider
                      be.fedict.eid.applet.service.signer.ooxml.OOXMLProvider

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

    public class OOXMLProvider

extends Provider

Security Provider for Office OpenXML.

Author:
  Frank Cornelis
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.security.Provider
`Provider.Service`

Field Summary
`static String` | `NAME`

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`OOXMLProvider()`

Method Summary
`static void` | `install()` Installs this security provider.

Methods inherited from class java.security.Provider
`clear, elements, entrySet, get, getInfo, getName, getProperty, getService, getServices, getVersion, keys, keySet, load, put, putAll, putService, remove, removeService, toString, values`

Methods inherited from class java.util.Properties
`getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clone, contains, containsKey, containsValue, equals, hashCode, isEmpty, rehash, size`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### OOXMLProvider

    public OOXMLProvider()

Method Detail

### install

    public static void install()

  Installs this security provider.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.